System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

The methods of the class are used by the XML serialization infrastructure while producing .NET Framework types from XML element and data type definitions. XML element or attribute names typically provide the methods' input text.

You do not need to call the methods of the class directly from your code. Instead, use the various tools and APIs provided by the .NET Framework for XML serialization, such as the , or the XML Schema Definition Tool (Xsd.exe) tool.

Provides static methods to convert input text into names for code entities.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Design mistake. It only contains static methods.")
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method converts the initial character from an upper-case to lower-case letter, if necessary.

  You do not need to call this method directly.

  Produces a camel-case string from an input string.

  A camel-case version of the parameter string.

  The name of a code entity, such as a method parameter, typically taken from an XML element or attribute name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method converts the initial character from a lower-case to upper-case letter, if necessary.

  You do not need to call this method directly.

  Produces a Pascal-case string from an input string.

  A Pascal-case version of the parameter string.

  The name of a code entity, such as a method parameter, typically taken from an XML element or attribute name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method removes any characters that cannot appear in a code identifier. It returns the string "Item" if no characters are valid. It prefixes the string "Item" to an input that begins with an invalid start character, for example, a digit, or a currency symbol.

  You do not need to call this method directly.

  Produces a valid code entity name from an input string.

  A string that can be used as a code identifier, such as the name of a method parameter.

  The name of a code entity, such as a method parameter, typically taken from an XML element or attribute name.